Enamik kliente on kindlasti kuulnud, et vanad PHP versioonid on aeglased ja sisaldavad turvaauke. Paljud veebimajutuse teenusepakkujad on kaotanud või kaotamas vanade PHP versioonide tuge, mis sunnib kodulehe omanikku kas uuendama kodulehte või otsima sõbralikumat teenusepakkujat. Radicenteril on nende jaoks, kellel pole mingit muud valikut, kui kasutada vana versiooni, lahendus – Hardened PHP.

Hardened PHP on Radicenteri cPanel serveritel CloudLinux tarkvaraga kaasas käiv funktsionaalsus, mis tagab PHP vanade ja toetamata versioonide turvalisuse.

Hardened PHP parandab vanu PHP versioone nii, et te ei ole sunnitud vanematele PHP versioonidele kirjutatud skripte muutma. Kõige hullema stensaariumi korral lakkab koduleht töötamast, kui teenusepakkuja kaotab vana PHP versiooni toe.

NB! Hardened PHP ei muuda ebaturvalist veebisaiti turvaliseks! Kuigi PHP versioonis on turvaaugud parandatud, siis Teie kodulehe PHP-skriptis võib turvaauk endiselt eksisteerida.

PHP versioonides, mille ametlik tugi on lõppenud, on avastatud sadu haavatavusi, mis on CloudLinuxi poolt parandatud.

PHP versioonid:

Versioon Avaldatud Ametlik tugi kuni HardenedPHP tugi
5.3.19 30.06. 2009 14.08. 2014 Kehtiv
5.6.19 28.08. 2014 31.12. 2018 Kehtiv
7.0 3.12. 2015 3.12. 2018 Kehtiv
7.1.19 1.12. 2016 1.12. 2019 Kehtiv
7.2.19 30.11. 2017 30.11. 2020 Kehtiv

Kõiki neid PHP versioone on võimalik kasutada Radicenteri serveritel.

Radicenter OÜ 2019